﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Export_GridView_Excel_jQuery_Razor_Core.Models;
using System.Linq;

namespace Export_GridView_Excel_jQuery_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }

        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public List<Customer> Customers { get; set; }

        public void OnGet()
        {
            this.Customers = this.Context.Customers.ToList();
        }
    }
}